cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/shoes/settings/distinct-attribute' \
-H 'Authorization: Bearer API_KEY'client.index('shoes').getDistinctAttribute()$client->index('shoes')->getDistinctAttribute();client.index('shoes').get_distinct_attribute()client.index("shoes").getDistinctAttributeSettings();client.index('shoes').distinct_attributeclient.Index("shoes").GetDistinctAttribute()string result = await client.Index("shoes").GetDistinctAttributeAsync();let distinct_attribute: Option<String> = client
.index("shoes")
.get_distinct_attribute()
.await
.unwrap();await client.index('shoes').getDistinctAttribute();client.index("shoes").getDistinctAttribute { (result) in
switch result {
case .success(let distinctAttribute):
print(distinctAttribute)
case .failure(let error):
print(error)
}
}"<string>"{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Distinct attribute
Get distinctAttribute
Returns the current value of the distinctAttribute setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
distinct-attribute
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/shoes/settings/distinct-attribute' \
-H 'Authorization: Bearer API_KEY'client.index('shoes').getDistinctAttribute()$client->index('shoes')->getDistinctAttribute();client.index('shoes').get_distinct_attribute()client.index("shoes").getDistinctAttributeSettings();client.index('shoes').distinct_attributeclient.Index("shoes").GetDistinctAttribute()string result = await client.Index("shoes").GetDistinctAttributeAsync();let distinct_attribute: Option<String> = client
.index("shoes")
.get_distinct_attribute()
.await
.unwrap();await client.index('shoes').getDistinctAttribute();client.index("shoes").getDistinctAttribute { (result) in
switch result {
case .success(let distinctAttribute):
print(distinctAttribute)
case .failure(let error):
print(error)
}
}"<string>"{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the distinctAttribute setting.
The response is of type string.
Was this page helpful?